﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BlockPuzzleSolution
{
    public partial class NewPuzzle : Form
    {
        public int PuzzleWidth, PuzzleHeight;
        public bool AllowRotation;
        public NewPuzzle(int w, int h)
        {
            InitializeComponent();
            ddWidth.SelectedIndex = w - 3;
            ddHeight.SelectedIndex = h - 3;
        }

        private void btnCreate_Click(object sender, EventArgs e)
        {
            try
            {
                PuzzleWidth = int.Parse(ddWidth.Text);
                PuzzleHeight = int.Parse(ddHeight.Text);
                AllowRotation = chkRotation.Checked;
                this.DialogResult = DialogResult.OK;
                Close();
            }
            catch (Exception)
            {
                MessageBox.Show("Wrong width or height.");
            }
        }
    }
}
